## freebayes 1.0.2

=== src/Makefile ===
################################################################################
# Makefile for FreeBayes
# Erik Garrison, 2010
# Boston College
################################################################################

# Compiler
CXX=g++
C=gcc

# Compiler flags
CFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g
#CFLAGS=-O3 -static -D VERBOSE_DEBUG  # enables verbose debugging via --debug2

BAMTOOLS_ROOT=../bamtools
VCFLIB_ROOT=../vcflib

LIBS = -L./ -L$(VCFLIB_ROOT)/tabixpp/ -L$(BAMTOOLS_ROOT)/lib -ltabix -lz -lm
INCLUDE = -I$(BAMTOOLS_ROOT)/src -I../ttmath -I$(VCFLIB_ROOT)/src -I$(VCFLIB_ROOT)/

all: autoversion ../bin/freebayes ../bin/bamleftalign

static:
	$(MAKE) CFLAGS="$(CFLAGS) -static" all

debug:
	$(MAKE) CFLAGS="$(CFLAGS) -D VERBOSE_DEBUG -g -rdynamic" all

profiling:
	$(MAKE) CFLAGS="$(CFLAGS) -g" all

gprof:
	$(MAKE) CFLAGS="$(CFLAGS) -pg" all

.PHONY: all static debug profiling gprof

# builds bamtools static lib, and copies into root
$(BAMTOOLS_ROOT)/lib/libbamtools.a:
	cd $(BAMTOOLS_ROOT) && mkdir -p build && cd build && cmake .. && $(MAKE)


OBJECTS=BedReader.o \
		CNV.o \
		fastlz.o \
		Fasta.o \
		Parameters.o \
		Allele.o \
		Sample.o \
		Result.o \
		AlleleParser.o \
		Utility.o \
		Genotype.o \
		DataLikelihood.o \
		Multinomial.o \
		Ewens.o \
		ResultData.o \
		Dirichlet.o \
		Marginals.o \
		split.o \
		LeftAlign.o \
		IndelAllele.o \
		Bias.o \
		Contamination.o \
		NonCall.o \
		SegfaultHandler.o \
		../vcflib/tabixpp/tabix.o \
		../vcflib/tabixpp/bgzf.o \
		../vcflib/smithwaterman/SmithWatermanGotoh.o \
		../vcflib/smithwaterman/disorder.c \
		../vcflib/smithwaterman/LeftAlign.o \
		../vcflib/smithwaterman/Repeats.o \
		../vcflib/smithwaterman/IndelAllele.o \
		Variant.o \
		$(BAMTOOLS_ROOT)/lib/libbamtools.a

HEADERS=multichoose.h version_git.h

# executables

freebayes ../bin/freebayes: freebayes.o $(OBJECTS) $(HEADERS)
	$(CXX) $(CFLAGS) $(INCLUDE) freebayes.o $(OBJECTS) -o ../bin/freebayes $(LIBS)

alleles ../bin/alleles: alleles.o $(OBJECTS) $(HEADERS)
	$(CXX) $(CFLAGS) $(INCLUDE) alleles.o $(OBJECTS) -o ../bin/alleles $(LIBS)

dummy ../bin/dummy: dummy.o $(OBJECTS) $(HEADERS)
	$(CXX) $(CFLAGS) $(INCLUDE) dummy.o $(OBJECTS) -o ../bin/dummy $(LIBS)

bamleftalign ../bin/bamleftalign: $(BAMTOOLS_ROOT)/lib/libbamtools.a bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o
	$(CXX) $(CFLAGS) $(INCLUDE) bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o $(BAMTOOLS_ROOT)/lib/libbamtools.a -o ../bin/bamleftalign $(LIBS)

bamfiltertech ../bin/bamfiltertech: $(BAMTOOLS_ROOT)/lib/libbamtools.a bamfiltertech.o $(OBJECTS) $(HEADERS)
	$(CXX) $(CFLAGS) $(INCLUDE) bamfiltertech.o $(OBJECTS) -o ../bin/bamfiltertech $(LIBS)


# objects

Fasta.o: Fasta.cpp
	$(CXX) $(CFLAGS) $(INCLUDE) -c Fasta.cpp

alleles.o: alleles.cpp AlleleParser.o Allele.o
	$(CXX) $(CFLAGS) $(INCLUDE) -c alleles.cpp

dummy.o: dummy.cpp AlleleParser.o Allele.o
	$(CXX) $(CFLAGS) $(INCLUDE) -c dummy.cpp

freebayes.o: freebayes.cpp TryCatch.h $(BAMTOOLS_ROOT)/lib/libbamtools.a
	$(CXX) $(CFLAGS) $(INCLUDE) -c freebayes.cpp

fastlz.o: fastlz.c fastlz.h
	$(C) $(CFLAGS) $(INCLUDE) -c fastlz.c	

Parameters.o: Parameters.cpp Parameters.h Version.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Parameters.cpp

Allele.o: Allele.cpp Allele.h multichoose.h Genotype.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Allele.cpp

Sample.o: Sample.cpp Sample.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Sample.cpp

Genotype.o: Genotype.cpp Genotype.h Allele.h multipermute.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Genotype.cpp

Ewens.o: Ewens.cpp Ewens.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Ewens.cpp

AlleleParser.o: AlleleParser.cpp AlleleParser.h multichoose.h Parameters.h $(BAMTOOLS_ROOT)/lib/libbamtools.a
	$(CXX) $(CFLAGS) $(INCLUDE) -c AlleleParser.cpp

Utility.o: Utility.cpp Utility.h Sum.h Product.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Utility.cpp

SegfaultHandler.o: SegfaultHandler.cpp SegfaultHandler.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c SegfaultHandler.cpp

Dirichlet.o: Dirichlet.h Dirichlet.cpp Sum.h Product.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Dirichlet.cpp

Multinomial.o: Multinomial.h Multinomial.cpp Sum.h Product.h Utility.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Multinomial.cpp

DataLikelihood.o: DataLikelihood.cpp DataLikelihood.h Sum.h Product.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c DataLikelihood.cpp

Marginals.o: Marginals.cpp Marginals.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Marginals.cpp

ResultData.o: ResultData.cpp ResultData.h Result.h Result.cpp Allele.h Utility.h Genotype.h AlleleParser.h Version.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c ResultData.cpp

Result.o: Result.cpp Result.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Result.cpp

NonCall.o: NonCall.cpp NonCall.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c NonCall.cpp

BedReader.o: BedReader.cpp BedReader.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c BedReader.cpp

CNV.o: CNV.cpp CNV.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c CNV.cpp

Bias.o: Bias.cpp Bias.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c Bias.cpp

split.o: split.h split.cpp
	$(CXX) $(CFLAGS) $(INCLUDE) -c split.cpp

bamleftalign.o: bamleftalign.cpp LeftAlign.cpp
	$(CXX) $(CFLAGS) $(INCLUDE) -c bamleftalign.cpp

bamfiltertech.o: bamfiltertech.cpp
	$(CXX) $(CFLAGS) $(INCLUDE) -c bamfiltertech.cpp

LeftAlign.o: LeftAlign.h LeftAlign.cpp $(BAMTOOLS_ROOT)/lib/libbamtools.a
	$(CXX) $(CFLAGS) $(INCLUDE) -c LeftAlign.cpp

IndelAllele.o: IndelAllele.cpp IndelAllele.h
	$(CXX) $(CFLAGS) $(INCLUDE) -c IndelAllele.cpp

Variant.o: $(VCFLIB_ROOT)/src/Variant.h $(VCFLIB_ROOT)/src/Variant.cpp
	$(CXX) $(CFLAGS) $(INCLUDE) -c $(VCFLIB_ROOT)/src/Variant.cpp

../vcflib/tabixpp/tabix.o: ../vcflib/tabixpp/tabix.hpp ../vcflib/tabixpp/tabix.cpp
../vcflib/tabixpp/bgzf.o: ../vcflib/tabixpp/bgzf.c ../vcflib/tabixpp/bgzf.h
	cd ../vcflib/tabixpp && $(MAKE)

../vcflib/smithwaterman/SmithWatermanGotoh.o: ../vcflib/smithwaterman/SmithWatermanGotoh.h ../vcflib/smithwaterman/SmithWatermanGotoh.cpp
	cd ../vcflib/smithwaterman && $(MAKE)


VERSION_FILE=./version_git.h
RELEASED_VERSION_FILE=./version_release.txt


## versioning system from BedTools
##
## For freebayes developers (not users):
## When you want to release (and tag) a new version, run:
##   $ make setversion VERSION=v2.17.2
## This will:
##   1. Update the "/src/utils/version/version_release.txt" file
##   2. Commit the file
##   3. Git-Tag the commit with the latest version
##
.PHONY: setversion
setversion:
    ifeq "$(VERSION)" ""
		$(error please set VERSION variable to the new version (e.g "make setversion VERSION=v2.17.2"))
    endif
		@echo "# This file was auto-generated by running \"make setversion VERSION=$(VERSION)\"" > "$(RELEASED_VERSION_FILE)"
		@echo "# on $$(date) ." >> "$(RELEASED_VERSION_FILE)"
		@echo "# Please do not edit or commit this file manually." >> "$(RELEASED_VERSION_FILE)"
		@echo "#" >> "$(RELEASED_VERSION_FILE)"
		@echo "$(VERSION)" >> $(RELEASED_VERSION_FILE)
		@git add $(RELEASED_VERSION_FILE)
		@git commit -q -m "Setting Release-Version $(VERSION)"
		@git tag "$(VERSION)"
		@echo "Version updated to $(VERSION)."
		@echo ""
		@echo "Don't forget to push the commits AND the tags:"
		@echo "  git push --all --tags"
		@echo ""


## Automatic version detection
##
## What's going on here?
## 1. If there's a ".git" repository - use the version from the repository.
##    ignore any released-version file. git repository is authorative.
##
## 2, If there's no ".git" repository,
##    get the "released" version number from the release-version file.
##
## 3. Compare the detected version (from steps 1,2) to the current string
##    in ./src/utils/version/version_git.h .
##    If they differ, update the header file - will cause a recompilation
##    of version.o .
##
.PHONY: autoversion
autoversion:
	@( \
	if [ -d "../.git" ] && which git > /dev/null ; then \
		DETECTED_VERSION=$$(git describe --always --tags --dirty) ; \
	else \
		DETECTED_VERSION=$$(grep -v "^#" "$(RELEASED_VERSION_FILE)") ; \
	fi ; \
	\
	CURRENT_VERSION="" ; \
	[ -e "$(VERSION_FILE)" ] && CURRENT_VERSION=$$(grep "define VERSION_GIT " "$(VERSION_FILE)" | cut -f3 -d" " | sed 's/"//g') ; \
	\
	echo "DETECTED_VERSION = $$DETECTED_VERSION" ; \
	echo "CURRENT_VERSION  = $$CURRENT_VERSION" ; \
	if [ "$${DETECTED_VERSION}" != "$${CURRENT_VERSION}" ] ; then \
		echo "Updating version file." ; \
		echo "#ifndef VERSION_GIT_H" > $(VERSION_FILE) ; \
		echo "#define VERSION_GIT_H" >> $(VERSION_FILE) ; \
		echo "#define VERSION_GIT \"$${DETECTED_VERSION}\"" >> $(VERSION_FILE) ; \
		echo "#endif /* VERSION_GIT_H */" >> $(VERSION_FILE) ; \
	fi )


clean:
	rm -rf *.o *.cgh *~ freebayes alleles ../bin/freebayes ../bin/alleles ../vcflib/*.o ../vcflib/tabixpp/*.{o,a}
	cd $(BAMTOOLS_ROOT)/build && make clean
	cd ../vcflib/smithwaterman && make clean

=== test/Makefile ===
.PHONY: all clean

freebayes=../bin/freebayes
vcfuniq=../vcflib/bin/vcfuniq

all: test

test: $(freebayes) $(vcfuniq)
	prove -v t

$(freebayes):
	cd .. && $(MAKE)

$(vcfuniq):
	cd ../vcflib && $(MAKE)

=== debian/changelog ===
freebayes (1.0.2-1) unstable; urgency=low

  * Initial packaging (Closes: #851306)

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2016 11:40:28 +0100

=== debian/control ===
Source: freebayes
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Brad Chapman <chapmanb@50mail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               zlib1g-dev,
               libbamtools-dev,
               libvcflib-dev,
               libtabixpp-dev,
               bc,
               samtools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
Homepage: https://github.com/ekg/freebayes

Package: freebayes
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Bayesian haplotype-based polymorphism discovery and genotyping
 FreeBayes is a Bayesian genetic variant detector designed to find
 small polymorphisms, specifically SNPs (single-nucleotide
 polymorphisms), indels (insertions and deletions), MNPs
 (multi-nucleotide polymorphisms), and complex events (composite
 insertion and substitution events) smaller than the length of a
 short-read sequencing alignment.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	echo "Skip autoinstall process - files are moved around by dh_install"

override_dh_auto_test:
	mkdir -p $(CURDIR)/test/bash-tap/
	for bt in $(CURDIR)/debian/bash-tap/* ; do ln -s $${bt} $(CURDIR)/test/bash-tap/`basename $${bt}` ; done
	export PATH=/usr/lib/vcflib/binaries/:$(PATH) dh_auto_test && echo "Tests were running successfully"
	rm -rf $(CURDIR)/test/bash-tap

## freebayes 1.1.0

=== Makefile ===
all: vcflib/Makefile log
	cd src && $(MAKE)

log: src/version_git.h
	wget -q http://hypervolu.me/freebayes/build/$(shell cat src/version_git.h | grep v | cut -f 3 -d\  | sed s/\"//g) &

src/version_git.h:
	cd src && $(MAKE) autoversion
	touch src/version_git.h

vcflib/Makefile:
	@echo "To build freebayes you must use git to also download its submodules."
	@echo "Do so by downloading freebayes again using this command (note --recursive flag):"
	@echo "    git clone --recursive git://github.com/ekg/freebayes.git"
	@error

debug:
	cd src && $(MAKE) debug

install:
	cp bin/freebayes bin/bamleftalign /usr/local/bin/

uninstall:
	rm /usr/local/bin/freebayes /usr/local/bin/bamleftalign

test:
	cd test && make test

clean:
	cd src && $(MAKE) clean
	rm -fr bin/*

.PHONY: all install uninstall clean test

=== src/Makefile ===
--- 
+++ 
@@ -13,10 +13,13 @@
 #CFLAGS=-O3 -static -D VERBOSE_DEBUG  # enables verbose debugging via --debug2
 
 BAMTOOLS_ROOT=../bamtools
+SEQLIB_ROOT=../SeqLib
 VCFLIB_ROOT=../vcflib
-
-LIBS = -L./ -L$(VCFLIB_ROOT)/tabixpp/ -L$(BAMTOOLS_ROOT)/lib -ltabix -lz -lm
-INCLUDE = -I$(BAMTOOLS_ROOT)/src -I../ttmath -I$(VCFLIB_ROOT)/src -I$(VCFLIB_ROOT)/
+TABIX_ROOT=$(VCFLIB_ROOT)/tabixpp
+HTSLIB_ROOT=$(TABIX_ROOT)/htslib
+
+LIBS = -lz -lm -lpthread
+INCLUDE = -I../ttmath -I$(BAMTOOLS_ROOT)/src/ -I$(VCFLIB_ROOT)/src/ -I$(TABIX_ROOT)/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT) -I$(SEQLIB_ROOT)/htslib
 
 all: autoversion ../bin/freebayes ../bin/bamleftalign
 
@@ -37,7 +40,11 @@
 # builds bamtools static lib, and copies into root
 $(BAMTOOLS_ROOT)/lib/libbamtools.a:
 	cd $(BAMTOOLS_ROOT) && mkdir -p build && cd build && cmake .. && $(MAKE)
-
+$(HTSLIB_ROOT)/libhts.a:
+	cd $(HTSLIB_ROOT) && make
+
+$(SEQLIB_ROOT)/src/libseqlib.a:
+	cd $(SEQLIB_ROOT) && ./configure && make 
 
 OBJECTS=BedReader.o \
 		CNV.o \
@@ -64,14 +71,18 @@
 		NonCall.o \
 		SegfaultHandler.o \
 		../vcflib/tabixpp/tabix.o \
-		../vcflib/tabixpp/bgzf.o \
+		../vcflib/tabixpp/htslib/bgzf.o \
 		../vcflib/smithwaterman/SmithWatermanGotoh.o \
-		../vcflib/smithwaterman/disorder.c \
+		../vcflib/smithwaterman/disorder.cpp \
 		../vcflib/smithwaterman/LeftAlign.o \
 		../vcflib/smithwaterman/Repeats.o \
 		../vcflib/smithwaterman/IndelAllele.o \
 		Variant.o \
-		$(BAMTOOLS_ROOT)/lib/libbamtools.a
+		$(BAMTOOLS_ROOT)/lib/libbamtools.a \
+			$(SEQLIB_ROOT)/src/libseqlib.a	\
+			$(SEQLIB_ROOT)/bwa/libbwa.a	\
+			$(SEQLIB_ROOT)/fermi-lite/libfml.a	\
+			$(SEQLIB_ROOT)/htslib/libhts.a
 
 HEADERS=multichoose.h version_git.h
 
@@ -86,16 +97,16 @@
 dummy ../bin/dummy: dummy.o $(OBJECTS) $(HEADERS)
 	$(CXX) $(CFLAGS) $(INCLUDE) dummy.o $(OBJECTS) -o ../bin/dummy $(LIBS)
 
-bamleftalign ../bin/bamleftalign: $(BAMTOOLS_ROOT)/lib/libbamtools.a bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o
-	$(CXX) $(CFLAGS) $(INCLUDE) bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o $(BAMTOOLS_ROOT)/lib/libbamtools.a -o ../bin/bamleftalign $(LIBS)
-
-bamfiltertech ../bin/bamfiltertech: $(BAMTOOLS_ROOT)/lib/libbamtools.a bamfiltertech.o $(OBJECTS) $(HEADERS)
+bamleftalign ../bin/bamleftalign: $(BAMTOOLS_ROOT)/lib/libbamtools.a $(SEQLIB_ROOT)/src/libseqlib.a $(SEQLIB_ROOT)/htslib/libhts.a bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o
+	$(CXX) $(CFLAGS) $(INCLUDE) bamleftalign.o Fasta.o Utility.o LeftAlign.o IndelAllele.o split.o $(BAMTOOLS_ROOT)/lib/libbamtools.a $(SEQLIB_ROOT)/src/libseqlib.a $(SEQLIB_ROOT)/htslib/libhts.a -o ../bin/bamleftalign $(LIBS)
+
+bamfiltertech ../bin/bamfiltertech: $(BAMTOOLS_ROOT)/lib/libbamtools.a $(SEQLIB_ROOT)/src/libseqlib.a $(SEQLIB_ROOT)/htslib/libhts.a bamfiltertech.o $(OBJECTS) $(HEADERS)
 	$(CXX) $(CFLAGS) $(INCLUDE) bamfiltertech.o $(OBJECTS) -o ../bin/bamfiltertech $(LIBS)
 
 
 # objects
 
-Fasta.o: Fasta.cpp
+Fasta.o: Fasta.cpp Utility.o
 	$(CXX) $(CFLAGS) $(INCLUDE) -c Fasta.cpp
 
 alleles.o: alleles.cpp AlleleParser.o Allele.o
@@ -104,7 +115,7 @@
 dummy.o: dummy.cpp AlleleParser.o Allele.o
 	$(CXX) $(CFLAGS) $(INCLUDE) -c dummy.cpp
 
-freebayes.o: freebayes.cpp TryCatch.h $(BAMTOOLS_ROOT)/lib/libbamtools.a
+freebayes.o: freebayes.cpp TryCatch.h $(HTSLIB_ROOT)/libhts.a $(BAMTOOLS_ROOT)/lib/libbamtools.a
 	$(CXX) $(CFLAGS) $(INCLUDE) -c freebayes.cpp
 
 fastlz.o: fastlz.c fastlz.h
@@ -125,7 +136,7 @@
 Ewens.o: Ewens.cpp Ewens.h
 	$(CXX) $(CFLAGS) $(INCLUDE) -c Ewens.cpp
 
-AlleleParser.o: AlleleParser.cpp AlleleParser.h multichoose.h Parameters.h $(BAMTOOLS_ROOT)/lib/libbamtools.a
+AlleleParser.o: AlleleParser.cpp AlleleParser.h multichoose.h Parameters.h $(BAMTOOLS_ROOT)/lib/libbamtools.a $(HTSLIB_ROOT)/libhts.a
 	$(CXX) $(CFLAGS) $(INCLUDE) -c AlleleParser.cpp
 
 Utility.o: Utility.cpp Utility.h Sum.h Product.h
@@ -173,7 +184,7 @@
 bamfiltertech.o: bamfiltertech.cpp
 	$(CXX) $(CFLAGS) $(INCLUDE) -c bamfiltertech.cpp
 
-LeftAlign.o: LeftAlign.h LeftAlign.cpp $(BAMTOOLS_ROOT)/lib/libbamtools.a
+LeftAlign.o: LeftAlign.h LeftAlign.cpp $(BAMTOOLS_ROOT)/lib/libbamtools.a $(HTSLIB_ROOT)/libhts.a
 	$(CXX) $(CFLAGS) $(INCLUDE) -c LeftAlign.cpp
 
 IndelAllele.o: IndelAllele.cpp IndelAllele.h
@@ -182,8 +193,9 @@
 Variant.o: $(VCFLIB_ROOT)/src/Variant.h $(VCFLIB_ROOT)/src/Variant.cpp
 	$(CXX) $(CFLAGS) $(INCLUDE) -c $(VCFLIB_ROOT)/src/Variant.cpp
 
-../vcflib/tabixpp/tabix.o: ../vcflib/tabixpp/tabix.hpp ../vcflib/tabixpp/tabix.cpp
-../vcflib/tabixpp/bgzf.o: ../vcflib/tabixpp/bgzf.c ../vcflib/tabixpp/bgzf.h
+../vcflib/tabixpp/tabix.o:
+	cd $(TABIX_ROOT)/ && make
+../vcflib/tabixpp/htslib/bgzf.o: ../vcflib/tabixpp/htslib/bgzf.c ../vcflib/tabixpp/htslib/htslib/bgzf.h
 	cd ../vcflib/tabixpp && $(MAKE)
 
 ../vcflib/smithwaterman/SmithWatermanGotoh.o: ../vcflib/smithwaterman/SmithWatermanGotoh.h ../vcflib/smithwaterman/SmithWatermanGotoh.cpp

=== test/Makefile ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	cd .. && $(MAKE)
 
 $(vcfuniq):
-	cd ../vcflib && $(MAKE)
+	cd ../vcflib && make clean && make

=== debian/changelog ===
freebayes (1.1.0-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
  * debhelper 10
  * Standards-Version: 4.1.0

  [ Fabian Klötzl ]
  * Use C++11
  * Added patch for symbol name clash with htslib
    Closes: #866646
  * d/upstream/metadata: Add registries (Thanks to Steffen)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2017 16:20:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,20 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
                pkg-config,
+               python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev,
+               libvcflib-dev (>= 1.0.0~rc1+dfsg1-4),
                libtabixpp-dev,
+               libseqlib-dev,
                bc,
-               samtools
-Standards-Version: 3.9.8
+               samtools,
+               parallel,
+               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
 Homepage: https://github.com/ekg/freebayes
@@ -22,6 +26,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Recommends: parallel
 Description: Bayesian haplotype-based polymorphism discovery and genotyping
  FreeBayes is a Bayesian genetic variant detector designed to find
  small polymorphisms, specifically SNPs (single-nucleotide

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	echo "Skip autoinstall process - files are moved around by dh_install"

override_dh_auto_test:
	mkdir -p $(CURDIR)/test/bash-tap/
	for bt in $(CURDIR)/debian/bash-tap/* ; do ln -s $${bt} $(CURDIR)/test/bash-tap/`basename $${bt}` ; done
	ln -s $(CURDIR)/debian/test-simple-bash/lib test/test-simple-bash
	chmod +x vcflib/scripts/vcffirstheader
	# export PATH=/usr/lib/vcflib/binaries/:$(PATH) dh_auto_test
	echo "Tests should be run" && PATH=/usr/lib/vcflib/binaries/:$(PATH) dh_auto_test && echo "Tests were running successfully"
	rm -rf $(CURDIR)/test/bash-tap
	rm test/test-simple-bash/lib

=== debian/watch ===
version=3
opts="uversionmangle=s/^9/0.9/" \
  https://github.com/ekg/freebayes/tags .*/archive/v?(\d\S*)\.tar\.gz

## freebayes 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 all: vcflib/Makefile log
 	cd src && $(MAKE)
+
+wbamtools: vcflib/Makefile log
+	cd src && $(MAKE) -f Makefile.bamtools
 
 log: src/version_git.h
 	wget -q http://hypervolu.me/freebayes/build/$(shell cat src/version_git.h | grep v | cut -f 3 -d\  | sed s/\"//g) &

=== src/Makefile ===
################################################################################
# Makefile for FreeBayes
# Erik Garrison, 2010
# Boston College
################################################################################

# Compiler
CXX=g++ ${CXXFLAGS}
C=gcc

export CXXFLAGS
export C
export CC
export CXX
export LDFLAGS
export LIBFLAGS

# Compiler flags

CFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g
#CFLAGS=-O3 -static -D VERBOSE_DEBUG  # enables verbose debugging via --debug2

SEQLIB_ROOT=../SeqLib
VCFLIB_ROOT=../vcflib
TABIX_ROOT=$(VCFLIB_ROOT)/tabixpp
HTSLIB_ROOT=$(SEQLIB_ROOT)/htslib

LIBS = -lz -llzma -lbz2 -lm -lpthread
INCLUDE = -I../src -I../ttmath -I$(VCFLIB_ROOT)/src/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(VCFLIB_ROOT)/fastahack/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT) 
#INCLUDE = -I../ttmath -I$(BAMTOOLS_ROOT)/src/ -I$(VCFLIB_ROOT)/src/ -I$(TABIX_ROOT)/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(VCFLIB_ROOT)/fastahack/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT) -I$(SEQLIB_ROOT)/htslib

all: autoversion ../bin/freebayes ../bin/bamleftalign

static:
	$(MAKE) CXXFLAGS="$(CXXFLAGS) -static" all

debug:
	$(MAKE) CXXFLAGS="$(CXXFLAGS) -D VERBOSE_DEBUG -g -rdynamic" all

profiling:
	$(MAKE) CFLAGS="$(CFLAGS) -g" all

gprof:
	$(MAKE) CXXFLAGS="$(CXXFLAGS) -pg" all

.PHONY: all static debug profiling gprof

$(HTSLIB_ROOT)/libhts.a:
	cd $(HTSLIB_ROOT) && make

$(SEQLIB_ROOT)/src/libseqlib.a:
	cd $(SEQLIB_ROOT) && ./configure && make 

OBJECTS=BedReader.o \
		CNV.o \
		fastlz.o \
		Fasta.o \
		Parameters.o \
		Allele.o \
		Sample.o \
		Result.o \
		AlleleParser.o \
		Utility.o \
		Genotype.o \
		DataLikelihood.o \
		Multinomial.o \
		Ewens.o \
		ResultData.o \
		Dirichlet.o \
		Marginals.o \
		split.o \
		LeftAlign.o \
		IndelAllele.o \
		Bias.o \
		Contamination.o \
		NonCall.o \
		SegfaultHandler.o \
		../vcflib/tabixpp/tabix.o \
		../vcflib/smithwaterman/SmithWatermanGotoh.o \
		../vcflib/smithwaterman/disorder.cpp \
		../vcflib/smithwaterman/LeftAlign.o \
		../vcflib/smithwaterman/Repeats.o \
		../vcflib/smithwaterman/IndelAllele.o \
		Variant.o \
		$(SEQLIB_ROOT)/src/libseqlib.a	\
		$(SEQLIB_ROOT)/bwa/libbwa.a	\
		$(SEQLIB_ROOT)/fermi-lite/libfml.a	\
		$(SEQLIB_ROOT)/htslib/libhts.a

HEADERS=multichoose.h version_git.h

# executables

freebayes ../bin/freebayes: freebayes.o $(OBJECTS) $(HEADERS) $(seqlib)
	$(CXX) $(CXXFLAGS) $(INCLUDE) freebayes.o $(OBJECTS) -o ../bin/freebayes $(LIBS)

alleles ../bin/alleles: alleles.o $(OBJECTS) $(HEADERS) $(seqlib)
	$(CXX) $(CXXFLAGS) $(INCLUDE) alleles.o $(OBJECTS) -o ../bin/alleles $(LIBS)

dummy ../bin/dummy: dummy.o $(OBJECTS) $(HEADERS) $(seqlib)
	$(CXX) $(CXXFLAGS) $(INCLUDE) dummy.o $(OBJECTS) -o ../bin/dummy $(LIBS)

bamleftalign ../bin/bamleftalign: $(SEQLIB_ROOT)/src/libseqlib.a $(HTSLIB_ROOT)/libhts.a bamleftalign.o Fasta.o LeftAlign.o IndelAllele.o split.o
	$(CXX) $(CXXFLAGS) $(INCLUDE) bamleftalign.o $(OBJECTS) -o ../bin/bamleftalign $(LIBS)

bamfiltertech ../bin/bamfiltertech: $(SEQLIB_ROOT)/src/libseqlib.a $(HTSLIB_ROOT)/libhts.a bamfiltertech.o $(OBJECTS) $(HEADERS)
	$(CXX) $(CXXFLAGS) $(INCLUDE) bamfiltertech.o $(OBJECTS) -o ../bin/bamfiltertech $(LIBS)


# objects

Fasta.o: Fasta.cpp Utility.o
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Fasta.cpp

alleles.o: alleles.cpp AlleleParser.o Allele.o
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c alleles.cpp

dummy.o: dummy.cpp AlleleParser.o Allele.o
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c dummy.cpp

freebayes.o: freebayes.cpp TryCatch.h $(HTSLIB_ROOT)/libhts.a ../vcflib/tabixpp/tabix.o
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c freebayes.cpp

fastlz.o: fastlz.c fastlz.h
	$(C) $(CFLAGS) $(INCLUDE) -c fastlz.c	

Parameters.o: Parameters.cpp Parameters.h Version.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Parameters.cpp

Allele.o: Allele.cpp Allele.h multichoose.h Genotype.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Allele.cpp

Sample.o: Sample.cpp Sample.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Sample.cpp

Genotype.o: Genotype.cpp Genotype.h Allele.h multipermute.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Genotype.cpp

Ewens.o: Ewens.cpp Ewens.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Ewens.cpp

AlleleParser.o: AlleleParser.cpp AlleleParser.h multichoose.h Parameters.h $(HTSLIB_ROOT)/libhts.a
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c AlleleParser.cpp

Utility.o: Utility.cpp Utility.h Sum.h Product.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Utility.cpp

SegfaultHandler.o: SegfaultHandler.cpp SegfaultHandler.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c SegfaultHandler.cpp

Dirichlet.o: Dirichlet.h Dirichlet.cpp Sum.h Product.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Dirichlet.cpp

Multinomial.o: Multinomial.h Multinomial.cpp Sum.h Product.h Utility.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Multinomial.cpp

DataLikelihood.o: DataLikelihood.cpp DataLikelihood.h Sum.h Product.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c DataLikelihood.cpp

Marginals.o: Marginals.cpp Marginals.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Marginals.cpp

ResultData.o: ResultData.cpp ResultData.h Result.h Result.cpp Allele.h Utility.h Genotype.h AlleleParser.h Version.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c ResultData.cpp

Result.o: Result.cpp Result.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Result.cpp

NonCall.o: NonCall.cpp NonCall.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c NonCall.cpp

BedReader.o: BedReader.cpp BedReader.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c BedReader.cpp

CNV.o: CNV.cpp CNV.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c CNV.cpp

Bias.o: Bias.cpp Bias.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c Bias.cpp

split.o: split.h split.cpp
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c split.cpp

bamleftalign.o: bamleftalign.cpp LeftAlign.cpp
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c bamleftalign.cpp

bamfiltertech.o: bamfiltertech.cpp
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c bamfiltertech.cpp

LeftAlign.o: LeftAlign.h LeftAlign.cpp $(HTSLIB_ROOT)/libhts.a
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c LeftAlign.cpp

IndelAllele.o: IndelAllele.cpp IndelAllele.h
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c IndelAllele.cpp

Variant.o: $(VCFLIB_ROOT)/src/Variant.h $(VCFLIB_ROOT)/src/Variant.cpp
	$(CXX) $(CXXFLAGS) $(INCLUDE) -c $(VCFLIB_ROOT)/src/Variant.cpp
#	$(CXX) -std=c++11 $(CFLAGS) $(INCLUDE) -c $(VCFLIB_ROOT)/src/Variant.cpp

../vcflib/tabixpp/tabix.o:
	cd $(TABIX_ROOT)/ && $(MAKE) && cp tabix.hpp ../../src/

../vcflib/smithwaterman/SmithWatermanGotoh.o: ../vcflib/smithwaterman/SmithWatermanGotoh.h ../vcflib/smithwaterman/SmithWatermanGotoh.cpp
	cd ../vcflib/smithwaterman && $(MAKE)


VERSION_FILE=./version_git.h
RELEASED_VERSION_FILE=./version_release.txt


## versioning system from BedTools
##
## For freebayes developers (not users):
## When you want to release (and tag) a new version, run:
##   $ make setversion VERSION=v2.17.2
## This will:
##   1. Update the "/src/utils/version/version_release.txt" file
##   2. Commit the file
##   3. Git-Tag the commit with the latest version
##
.PHONY: setversion
setversion:
    ifeq "$(VERSION)" ""
		$(error please set VERSION variable to the new version (e.g "make setversion VERSION=v2.17.2"))
    endif
		@echo "# This file was auto-generated by running \"make setversion VERSION=$(VERSION)\"" > "$(RELEASED_VERSION_FILE)"
		@echo "# on $$(date) ." >> "$(RELEASED_VERSION_FILE)"
		@echo "# Please do not edit or commit this file manually." >> "$(RELEASED_VERSION_FILE)"
		@echo "#" >> "$(RELEASED_VERSION_FILE)"
		@echo "$(VERSION)" >> $(RELEASED_VERSION_FILE)
		@git add $(RELEASED_VERSION_FILE)
		@git commit -q -m "Setting Release-Version $(VERSION)"
		@git tag "$(VERSION)"
		@echo "Version updated to $(VERSION)."
		@echo ""
		@echo "Don't forget to push the commits AND the tags:"
		@echo "  git push --all --tags"
		@echo ""


## Automatic version detection
##
## What's going on here?
## 1. If there's a ".git" repository - use the version from the repository.
##    ignore any released-version file. git repository is authorative.
##
## 2, If there's no ".git" repository,
##    get the "released" version number from the release-version file.
##
## 3. Compare the detected version (from steps 1,2) to the current string
##    in ./src/utils/version/version_git.h .
##    If they differ, update the header file - will cause a recompilation
##    of version.o .
##
.PHONY: autoversion
autoversion:
	@( \
	if [ -d "../.git" ] && which git > /dev/null ; then \
		DETECTED_VERSION=$$(git describe --always --tags --dirty) ; \
	else \
		DETECTED_VERSION=$$(grep -v "^#" "$(RELEASED_VERSION_FILE)") ; \
	fi ; \
	\
	CURRENT_VERSION="" ; \
	[ -e "$(VERSION_FILE)" ] && CURRENT_VERSION=$$(grep "define VERSION_GIT " "$(VERSION_FILE)" | cut -f3 -d" " | sed 's/"//g') ; \
	\
	echo "DETECTED_VERSION = $$DETECTED_VERSION" ; \
	echo "CURRENT_VERSION  = $$CURRENT_VERSION" ; \
	if [ "$${DETECTED_VERSION}" != "$${CURRENT_VERSION}" ] ; then \
		echo "Updating version file." ; \
		echo "#ifndef VERSION_GIT_H" > $(VERSION_FILE) ; \
		echo "#define VERSION_GIT_H" >> $(VERSION_FILE) ; \
		echo "#define VERSION_GIT \"$${DETECTED_VERSION}\"" >> $(VERSION_FILE) ; \
		echo "#endif /* VERSION_GIT_H */" >> $(VERSION_FILE) ; \
	fi )


clean:
	rm -rf *.o *.cgh *~ freebayes alleles ../bin/freebayes ../bin/alleles ../vcflib/*.o ../vcflib/tabixpp/*.{o,a} tabix.hpp
	if [ -d $(BAMTOOLS_ROOT)/build ]; then make -C $(BAMTOOLS_ROOT)/build clean; fi
	make -C $(VCFLIB_ROOT)/smithwaterman clean

=== debian/changelog ===
freebayes (1.2.0-2) unstable; urgency=medium

  * Standards-Version: 4.2.1
  * Versioned Build-Depends: libvcflib-dev (>= 1.0.0~rc2+dfsg-2~)
  * debian/rules:
     + --no-parallel
       Closes: #910324
     + Respect DEB_BUILD_OPTIONS in override_dh_auto_test

 -- Andreas Tille <tille@debian.org>  Tue, 09 Oct 2018 07:56:21 +0200

freebayes (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Bump versioned Build-Depends: libseqlib-dev (>= 1.1.2+dfsg)
  * DEP5 fix
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:49:28 +0200

freebayes (1.1.0-2) unstable; urgency=medium

  * Versioned Build-Depends: libseqlib-dev (>= 1.1.1+dfsg-4) to include all
    headers needed by seqlib
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 16:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                pkg-config,
                python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc1+dfsg1-4),
+               libvcflib-dev (>= 1.0.0~rc2+dfsg-2~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
                samtools,
                parallel,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/freebayes.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/freebayes.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/freebayes
+Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
 
 Package: freebayes

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
-	dh $@ 
+	dh $@ --no-parallel
 
 override_dh_auto_install:
 	echo "Skip autoinstall process - files are moved around by dh_install"
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(CURDIR)/test/bash-tap/
 	for bt in $(CURDIR)/debian/bash-tap/* ; do ln -s $${bt} $(CURDIR)/test/bash-tap/`basename $${bt}` ; done
 	ln -s $(CURDIR)/debian/test-simple-bash/lib test/test-simple-bash
@@ -15,3 +18,4 @@
 	echo "Tests should be run" && PATH=/usr/lib/vcflib/binaries/:$(PATH) dh_auto_test && echo "Tests were running successfully"
 	rm -rf $(CURDIR)/test/bash-tap
 	rm test/test-simple-bash/lib
+endif

## freebayes 1.3.1

=== debian/changelog ===
freebayes (1.3.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Build-Depends: libvcflib-dev (>= 1.0.0~rc2+dfsg-3~) to make sure all
    binaries needed for testing are available in PATH
  * Skip failing test (see
     https://github.com/ekg/freebayes/issues/329 )

 -- Andreas Tille <tille@debian.org>  Wed, 31 Jul 2019 17:05:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
                python,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc2+dfsg-2~),
+               libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
                samtools,
                parallel,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CFLAGS_MAINT_APPEND=-std=gnu++11
 
 %:
 	dh $@ --no-parallel

## freebayes 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+#CFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g
+#CXXFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g
+
 all: vcflib/Makefile log
 	cd src && $(MAKE)

=== src/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 ################################################################################
 
 # Compiler
+
+CXXFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g -ggdb
 CXX=g++ ${CXXFLAGS}
 C=gcc
 
@@ -17,7 +19,6 @@
 
 # Compiler flags
 
-CFLAGS=-O3 -D_FILE_OFFSET_BITS=64 -g
 #CFLAGS=-O3 -static -D VERBOSE_DEBUG  # enables verbose debugging via --debug2
 
 SEQLIB_ROOT=../SeqLib
@@ -26,13 +27,13 @@
 HTSLIB_ROOT=$(SEQLIB_ROOT)/htslib
 
 LIBS = -lz -llzma -lbz2 -lm -lpthread
-INCLUDE = -I../src -I../ttmath -I$(VCFLIB_ROOT)/src/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(VCFLIB_ROOT)/fastahack/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT) 
+INCLUDE = -I../src -I../ttmath -I$(VCFLIB_ROOT)/src/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(VCFLIB_ROOT)/fastahack/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT)
 #INCLUDE = -I../ttmath -I$(BAMTOOLS_ROOT)/src/ -I$(VCFLIB_ROOT)/src/ -I$(TABIX_ROOT)/ -I$(VCFLIB_ROOT)/smithwaterman/ -I$(VCFLIB_ROOT)/multichoose/ -I$(VCFLIB_ROOT)/filevercmp/ -I$(VCFLIB_ROOT)/fastahack/ -I$(HTSLIB_ROOT) -I$(SEQLIB_ROOT) -I$(SEQLIB_ROOT)/htslib
 
 all: autoversion ../bin/freebayes ../bin/bamleftalign
 
 static:
-	$(MAKE) CXXFLAGS="$(CXXFLAGS) -static" all
+	$(MAKE) CXXFLAGS="$(CXXFLAGS) -static -static-libstdc++ -static-libgcc -Wl,--allow-multiple-definition" all
 
 debug:
 	$(MAKE) CXXFLAGS="$(CXXFLAGS) -D VERBOSE_DEBUG -g -rdynamic" all

=== debian/changelog ===
freebayes (1.3.2-2) unstable; urgency=medium

  * Team upload.
  * Improve the build hardening
  * Include the README in the binary package
  * Remove the packages parallel and libvcflib-tools from the nocheck build
    profile
  * fix the self-reported version to match the actual version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 16 Feb 2020 14:33:42 +0100

freebayes (1.3.2-1) unstable; urgency=medium

  * New upstream version
  * Some additional patches created by 2to3 despite the general code base
    is Python3
    Closes: #936551
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Versioned Build-Depends: libseqlib-dev (>= 1.1.2+dfsg-5)

 -- Andreas Tille <tille@debian.org>  Thu, 19 Dec 2019 14:14:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,17 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
-               python,
+               python3,
                zlib1g-dev,
                libbamtools-dev,
                libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
                libtabixpp-dev,
-               libseqlib-dev,
+               libseqlib-dev (>= 1.1.2+dfsg-5),
                bc,
                samtools,
-               parallel,
-               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6)
-Standards-Version: 4.4.0
+               parallel <!nocheck>,
+               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,16 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CFLAGS_MAINT_APPEND=-std=gnu++11
+export DEB_CXXFLAGS_MAINT_APPEND=-D_FILE_OFFSET_BITS=64
 
 %:
 	dh $@ --no-parallel
+
+override_dh_auto_build:
+	dh_auto_build -- CXXFLAGS="$(CXXFLAGS)"
 
 override_dh_auto_install:
 	echo "Skip autoinstall process - files are moved around by dh_install"

## freebayes 1.3.5

=== debian/changelog ===
freebayes (1.3.5-1) unstable; urgency=medium

  * New upstream version
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2021 11:28:21 +0100

freebayes (1.3.3-2) unstable; urgency=medium

  * Team upload
  * Fix FTBFS caused by too quick timeouts for tests
  * Add release notes to installed documentation
  * Update libraries.patch header to link to a related pull request

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 20 Jan 2021 15:57:11 +0200

freebayes (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Replace Build-Depends cmake with meson and ninja-build
  * Adapt debian/rules to use the meson build system
  * Remove debian/install that listed files now installed by the build system
  * Standards-Version: 4.5.1 (routine-update)
  * Clean autogenerated test/regression/NA12878.chr22.tiny.vcf
  * Remove all pre-existing patches
  * Add libraries.patch to use Debian-provided external libraries in meson

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Mon, 18 Jan 2021 15:50:10 +0200

freebayes (1.3.2-3) unstable; urgency=medium

  * Team upload

  [ Pranav Ballaney ]
  * Install test data
  * Add autopkgtests
  * Install docs and binaries

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add missing files to debian/source/include-binaries

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 01 Jun 2020 02:50:39 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               cmake,
+Build-Depends: debhelper-compat (= 13),
+               meson,
+               ninja-build,
                pkg-config,
                python3,
                zlib1g-dev,
@@ -17,10 +18,11 @@
                samtools,
                parallel <!nocheck>,
                libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
+Rules-Requires-Root: no
 
 Package: freebayes
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# testsuite assumes binaries to be tested are under build/
%:
	dh $@ --buildsystem=meson --builddir=build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p test/bash-tap/
	ln -s -t test/bash-tap $(CURDIR)/debian/bash-tap/*
	mkdir -p test/test-simple-bash
	ln -s -t test/test-simple-bash $(CURDIR)/debian/test-simple-bash/*

	dh_auto_test -- -v --timeout-multiplier 100

	rm test/bash-tap/*
	rm test/test-simple-bash/*
endif

=== debian/watch ===
version=4
opts="uversionmangle=s/^9/0.9/" \
  https://github.com/ekg/freebayes/tags .*/archive/v?(\d\S*)\.tar\.gz

## freebayes 1.3.6

=== paper/Makefile ===
all: paper

paper:
	pdflatex main
	bibtex main
	pdflatex main

clean:
	rm -f main.{aux,bbl,blg,log,pdf}

=== debian/changelog ===
freebayes (1.3.6-2) unstable; urgency=medium

  * install scripts (+ python3 dependency accordingly)
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 14:38:51 +0100

freebayes (1.3.6-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jan 2022 12:09:32 +0100

freebayes (1.3.5-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvcflib-tools.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 08:09:27 +0200

freebayes (1.3.5-2) unstable; urgency=medium

  * Team Upload.
  * Remove B-D on python3 (Closes: #988556)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:27:47 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                meson,
                ninja-build,
                pkg-config,
-               python3,
                zlib1g-dev,
                libbamtools-dev,
                libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
@@ -17,8 +16,9 @@
                bc,
                samtools,
                parallel <!nocheck>,
-               libvcflib-tools (>= 1.0.0~rc1+dfsg1-6) <!nocheck>
-Standards-Version: 4.5.1
+               libvcflib-tools <!nocheck>,
+               debhelper
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes
@@ -27,7 +27,8 @@
 Package: freebayes
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3
 Recommends: parallel
 Description: Bayesian haplotype-based polymorphism discovery and genotyping
  FreeBayes is a Bayesian genetic variant detector designed to find

=== debian/watch ===
version=4
opts="uversionmangle=s/^9/0.9/" \
  https://github.com/ekg/freebayes/tags .*/v?(\d\S*)\.tar\.gz

## freebayes 1.3.7

=== debian/changelog ===
freebayes (1.3.7-1) unstable; urgency=medium

  * Team Upload.

  [ Andreas Tille ]
  * Bump versioned Build-Depends: libvcflib-dev (>= 1.0.9+dfsg-1~)
  * Do not build on i386 on Salsa CI

  [ Michael R. Crusoe ]
  * d/control: applied fix for :unnecessary greater-than versioned
    dependency
  * d/copyright: update path for ttmath
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/rules: delete any by-products from testing

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 21 Aug 2023 13:22:14 +0200

freebayes (1.3.7-1~exp) experimental; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 1.3.7
    Closes: #1032557
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Mar 2023 11:17:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                pkg-config,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.0~rc2+dfsg-3~),
+               libvcflib-dev (>= 1.0.9+dfsg-1~),
                libtabixpp-dev,
-               libseqlib-dev (>= 1.1.2+dfsg-5),
+               libseqlib-dev,
                bc,
                samtools,
                parallel <!nocheck>,
                libvcflib-tools <!nocheck>,
                debhelper
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	ln -s -t test/test-simple-bash $(CURDIR)/debian/test-simple-bash/*
 
 	dh_auto_test -- -v --timeout-multiplier 100
+	find . -name core -delete
 
-	rm test/bash-tap/*
-	rm test/test-simple-bash/*
+	rm -Rf test/bash-tap
+	rm -Rf test/test-simple-bash
 endif

## freebayes 1.3.9

=== meson_options.txt ===
option('prefer_system_deps', type : 'boolean', value : true)
option('static', type : 'boolean', value : false)

=== debian/changelog ===
freebayes (1.3.9-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * d/watch: mangle pre-release tags appropriately
  * d/control: pkg-config → pkgconf
  * d/ext/multichoose: bundle in library missing from tarball.
  * d/ext/multichoose: update to
    https://github.com/vcflib/multichoose/commit/255192edd49cfe36557f7f4
    f0d2d6ee1c702ffbb
  * d/clean: added more entries

  [ Andreas Tille ]
  * New upstream version
  * Bumped version in Build-Depends: libvcflib-dev (>= 1.0.12~)
    Closes: #1067271
  * Standards-Version: 4.7.0 (routine-update)
  * d/watch: Fix download file name

 -- Andreas Tille <tille@debian.org>  Sun, 16 Feb 2025 16:26:52 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                meson,
                ninja-build,
-               pkg-config,
+               pkgconf,
                zlib1g-dev,
                libbamtools-dev,
-               libvcflib-dev (>= 1.0.9+dfsg-1~),
+               libvcflib-dev (>= 1.0.12~),
                libtabixpp-dev,
                libseqlib-dev,
                bc,
@@ -18,7 +18,7 @@
                parallel <!nocheck>,
                libvcflib-tools <!nocheck>,
                debhelper
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/freebayes
 Vcs-Git: https://salsa.debian.org/med-team/freebayes.git
 Homepage: https://github.com/ekg/freebayes

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_CXXFLAGS_MAINT_APPEND=-I/usr/include/fastahack
 
 # testsuite assumes binaries to be tested are under build/
 %:
 	dh $@ --buildsystem=meson --builddir=build
+
+execute_before_dh_auto_configure:
+	cp -a debian/ext/* contrib/
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts="uversionmangle=s/^9/0.9/;s/-pre/~pre/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ekg/freebayes/tags .*/v?(\d\S*)\.tar\.gz
